user: kitiya.p
token: Nvd6CMsSk9aiXR88q9Zz
source name: NugetGitLabDemo
url: https://gitlab.com/api/v4/projects/29934776/packages/nuget/index.json

1. goto gitlab --> create personal access token & copy token
2. goto gitlab project --> setting/general --> enable package registry
3. open visual studio ide --> set properties package --> pack
4. visual studio ide --> options/nuget/source --> add source
5. download nuget.exe --> https://docs.microsoft.com/en-us/nuget/install-nuget-client-tools
6. open cmd with admin32 --> cd to nuget.exe path & publish a package with the NuGet CLI "with cmd below"
7. check nuget package avaliable in gitlab
8. use nuget package with another project


 
command: nuget push D:\Work\Freespace\NugetGitLabDemo\NugetGitLabDemo\MyHelper\bin\Release\MyHelper.1.0.0.nupkg -Source NugetGitLabDemo

refer important: https://docs.gitlab.com/ee/user/packages/nuget_repository/index.html#publish-a-nuget-package


